
Efl_Canvas_Vg_Node *_efl_canvas_vg_container_child_get(Eo *obj, Efl_Canvas_Vg_Container_Data *pd, const char *name);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(efl_canvas_vg_container_child_get, Efl_Canvas_Vg_Node *, NULL, EFL_FUNC_CALL(name), const char *name);

Eina_Iterator *_efl_canvas_vg_container_children_get(Eo *obj, Efl_Canvas_Vg_Container_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY(efl_canvas_vg_container_children_get, Eina_Iterator *, NULL);

const Eina_List *_efl_canvas_vg_container_children_direct_get(Eo *obj, Efl_Canvas_Vg_Container_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY(efl_canvas_vg_container_children_direct_get, const Eina_List *, NULL);

Efl_Object *_efl_canvas_vg_container_efl_object_constructor(Eo *obj, Efl_Canvas_Vg_Container_Data *pd);


void _efl_canvas_vg_container_efl_object_destructor(Eo *obj, Efl_Canvas_Vg_Container_Data *pd);


void _efl_canvas_vg_container_efl_object_parent_set(Eo *obj, Efl_Canvas_Vg_Container_Data *pd, Efl_Object *parent);


void _efl_canvas_vg_container_efl_gfx_path_bounds_get(const Eo *obj, Efl_Canvas_Vg_Container_Data *pd, Eina_Rect *r);


Eina_Bool _efl_canvas_vg_container_efl_gfx_path_interpolate(Eo *obj, Efl_Canvas_Vg_Container_Data *pd, const Efl_Object *from, const Efl_Object *to, double pos_map);


Efl_Duplicate *_efl_canvas_vg_container_efl_duplicate_duplicate(const Eo *obj, Efl_Canvas_Vg_Container_Data *pd);


void _efl_canvas_vg_container_efl_canvas_vg_node_comp_method_set(Eo *obj, Efl_Canvas_Vg_Container_Data *pd, Efl_Canvas_Vg_Node *target, Efl_Gfx_Vg_Composite_Method method);


static Eina_Bool
_efl_canvas_vg_container_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_VG_CONTAINER_EXTRA_OPS
#define EFL_CANVAS_VG_CONTAINER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_container_child_get, _efl_canvas_vg_container_child_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_container_children_get, _efl_canvas_vg_container_children_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_container_children_direct_get, _efl_canvas_vg_container_children_direct_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_vg_container_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_vg_container_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_parent_set, _efl_canvas_vg_container_efl_object_parent_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_bounds_get, _efl_canvas_vg_container_efl_gfx_path_bounds_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_interpolate, _efl_canvas_vg_container_efl_gfx_path_interpolate),
      EFL_OBJECT_OP_FUNC(efl_duplicate, _efl_canvas_vg_container_efl_duplicate_duplicate),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_node_comp_method_set, _efl_canvas_vg_container_efl_canvas_vg_node_comp_method_set),
      EFL_CANVAS_VG_CONTAINER_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_vg_container_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Vg.Container",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Canvas_Vg_Container_Data),
   _efl_canvas_vg_container_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_vg_container_class_get, &_efl_canvas_vg_container_class_desc, EFL_CANVAS_VG_NODE_CLASS, NULL);
